Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1887511 - Satellite upgrade to 6.7.3 version fails at disabling sync plan stage with error 'Cannot update a cancelled Recurring Logic'
Summary: Satellite upgrade to 6.7.3 version fails at disabling sync plan stage with er...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Sync Plans
Version: 6.7.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: 6.9.0
Assignee: Justin Sherrill
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-12 16:38 UTC by Diksha Chaudhari
Modified: 2021-05-06 18:33 UTC (History)
13 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-3.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1908852 1919419 (view as bug list)
Environment:
Last Closed: 2021-04-21 13:18:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31388 0 High Closed disabling sync plan errors with 'Cannot update a cancelled Recurring Logic' 2021-02-16 11:26:30 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:18:42 UTC

Description Diksha Chaudhari 2020-10-12 16:38:31 UTC
Description of problem: While updating Satellite from 6.7.2 to 6.7.3 'Cannot update a cancelled Recurring Logic' error is observed even if there are no recurring logics in calcelled state.


Version-Release number of selected component (if applicable): 6.7.2


How reproducible: Everytime


Steps to Reproduce:
1. Try to update the Satellite server and it will fail at below stage:

~~~
# satellite-maintain upgrade run --target-version 6.7.z


Running Procedures before migrating to Satellite 6.7.z
================================================================================
disable active sync plans:
\ disabling sync plans                                                [FAIL]
Could not update the sync plan:
  ERF28-1357 [ForemanTasks::RecurringLogicCancelledException]: Cannot update a cancelled Recurring Logic.
--------------------------------------------------------------------------------
~~~

Actual results: Getting error 'ERF28-1357 [ForemanTasks::RecurringLogicCancelledException]: Cannot update a cancelled Recurring Logic' even if there are no recurring logics in cancelled state.


Expected results: Update should proceed without any error


Additional info: 
1. Tried article :https://access.redhat.com/solutions/3051771 to clear the cancelled Recurring logics but it displayed 0 results.
2. Executing "satellite-maintain upgrade run --target-version 6.7.z --whitelist="sync-plans-disable" completed the update successfully.

Comment 1 Justin Sherrill 2020-11-24 17:26:33 UTC
Created redmine issue https://projects.theforeman.org/issues/31388 from this bug

Comment 2 Bryan Kearney 2020-11-24 20:04:54 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 3 Bryan Kearney 2020-11-24 20:04:56 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 4 Bryan Kearney 2020-12-08 16:04:55 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31388 has been resolved.

Comment 5 Patrick Creech 2021-01-06 16:28:07 UTC
Is there an upstream release that has this fix in it?

Comment 7 Adam Ruzicka 2021-01-07 12:08:23 UTC
The fix is out in tfm-rubygem-foreman-tasks-3.0.3

Comment 14 errata-xmlrpc 2021-04-21 13:18:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.